Subject: RE: [Disman] Re: draft-ietf-disman-alarm-mib-11.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 24 Apr 2003 22:44:08 +0200

W.r.t.
> > - Have we not discussed the (missing) IPR section earlier 
> >   in the process?
> 
> Yes, it's been discussed before and should be there, 
> particularly since we already know of IPR disclosures with
> respect to this work's earlier versions.

That is an extra reason to put the appropriate text into the
document. I would not assume that RFC-Editor will always know
(or get it right) if IPR has been claimed or not.

> However, discussion with other IESG folks (cc-ing [email-masked]) 
> seemed to indicate that some things, e.g. IPR material and full
> copyright notices, did not need to be in the internet drafts
> and would be "automatically" added by the RFC editor.

New discussions indeed seem to be going in the direction that 
such things do not NEED to be in the I-D. That does not mean they
are forbidden to be included in the I-D. I personally think it is
still much better to have them in the document. It allows
everyone to see them during WG and IETF Last Call and be reminded
that if they do have IPR that they are expected (if they participated
in the work)/invited (if they are just reading about it) to report
it to IETF secretariat.

> Now I personally think that is not a good way to do things, 
> but I do try to abide by the IESG's decisions.  As a side note,
> the recent discussion on the IETF list suggests that there is
> a major disconnect between the theory and practice of I-Ds.
> I think we should eather practice what we preach, 
> or update our preaching to match our practices.
> 
Agreed. See my comments above though.

> > Still need to do compile checks as well
> 
> Of course.
> 
> Since I left BMC, I no longer have access to their tools.  
> I'm trusting the editors to use the tools and mib-checking
> services available on the net.
> 
My SMICng syntax checking revelaed some warnings/errors. I need to
check if they are serious or acceptable.

Bert
> Randy